/*
 * @Author: WuWei
 * @Date: 2020-08-11 08:54:23
 * @LastEditors  : WuWei
 * @LastEditTime : 2023-05-25 15:39:32
 * @Description:
 */

part 'pay_summary.g.dart';

class PaySummaryModel {
  num? totalBillFee;
  num? totalPrePayFee;
  num? totalDepositeFee;
  List<PayItem>? bill;
  List<PayItem>? prePay;
  List<PayItem>? deposite;
  List<PayCount>? billPayWayCount;

  PaySummaryModel({
    this.totalBillFee,
    this.totalPrePayFee,
    this.totalDepositeFee,
    this.bill,
    this.prePay,
    this.deposite,
    this.billPayWayCount,
  });

  ///
  ///
  ///
  ///
  ///
  ///
  ///
//***以下为模板代码谨慎修改***
  factory PaySummaryModel.fromJson(Map<String, dynamic> json) =>
      _$PaySummaryModelFromJson(json);
  Map<String, dynamic> toJson() => _$PaySummaryModelToJson(this);
}

class PayItem {
  final String? name;
  final num? fee;
  PayItem({
    this.name,
    this.fee,
  });

  ///
  ///
  ///
  ///
  ///
  ///
  ///
//***以下为模板代码谨慎修改***
  factory PayItem.fromJson(Map<String, dynamic> json) =>
      _$PayItemFromJson(json);
  Map<String, dynamic> toJson() => _$PayItemToJson(this);
}

class PayCount {
  final dynamic payWay;
  final num? payFee;
  final num? feeRate;
  PayCount({
    this.payWay,
    this.payFee,
    this.feeRate,
  });

  ///
  ///
  ///
  ///
  ///
  ///
  ///
//***以下为模板代码谨慎修改***
  factory PayCount.fromJson(Map<String, dynamic> json) =>
      _$PayCountFromJson(json);
  Map<String, dynamic> toJson() => _$PayCountToJson(this);
}
